searchNodes=[{"ref":"Han.html","title":"Han","module":"Han","type":"module","doc":"Utils for processing chinese."},{"ref":"Han.html#pinyin/1","title":"Han.pinyin/1","module":"Han","type":"function","doc":"Public function to convert chinese words to pinyin. Examples iex&gt; Han.pinyin(&quot;中国&quot;) &quot;zhōng guó&quot; iex&gt; Han.pinyin(&quot;中国&quot;, :simplified) &quot;zhōng guó&quot; iex&gt; Han.pinyin(&quot;中國&quot;, :traditional) &quot;zhōng guó&quot;"},{"ref":"Han.html#pinyin/2","title":"Han.pinyin/2","module":"Han","type":"function","doc":""},{"ref":"Han.html#slugify/1","title":"Han.slugify/1","module":"Han","type":"function","doc":"Public function to slugify chinese words. Examples iex&gt; Han.slugify(&quot;中国&quot;) &quot;zhong-guo&quot; iex&gt; Han.slugify(&quot;中國&quot;, :traditional) &quot;zhong-guo&quot; iex&gt; Han.slugify(&quot; *&amp; 46 848 中 ----- 国&quot;) &quot;46-848-zhong-guo&quot; iex&gt; Han.slugify(&quot;关于 Elixir 的 HTML5 页面&quot;) &quot;guan-yu-elixir-de-html5-ye-mian&quot;"},{"ref":"Han.html#slugify/2","title":"Han.slugify/2","module":"Han","type":"function","doc":""},{"ref":"Han.html#translate/1","title":"Han.translate/1","module":"Han","type":"function","doc":"Public function to translate chinese. Examples iex&gt; Han.translate(&quot;中国&quot;) &quot;中國&quot; iex&gt; Han.translate(&quot;中国&quot;, :simplified) &quot;中國&quot; iex&gt; Han.translate(&quot;中國&quot;, :traditional) &quot;中国&quot;"},{"ref":"Han.html#translate/2","title":"Han.translate/2","module":"Han","type":"function","doc":""},{"ref":"Han.Iterable.html","title":"Han.Iterable","module":"Han.Iterable","type":"module","doc":"Support for iterable functions."},{"ref":"Han.Iterable.html#filter_by/4","title":"Han.Iterable.filter_by/4","module":"Han.Iterable","type":"function","doc":""},{"ref":"Han.Iterable.html#sort_by/3","title":"Han.Iterable.sort_by/3","module":"Han.Iterable","type":"function","doc":""},{"ref":"Han.Pinyin.html","title":"Han.Pinyin","module":"Han.Pinyin","type":"module","doc":"Read the word/character -&gt; pinyin file and generate functions for matching."},{"ref":"Han.Pinyin.html#process/1","title":"Han.Pinyin.process/1","module":"Han.Pinyin","type":"function","doc":""},{"ref":"Han.Pinyin.Util.html","title":"Han.Pinyin.Util","module":"Han.Pinyin.Util","type":"module","doc":"Utility functions to read pinyin_characters.txt / pinyin_words.txt and parse it into a list ordered by the length of the words."},{"ref":"Han.Pinyin.Util.html#get_pinyin_data/0","title":"Han.Pinyin.Util.get_pinyin_data/0","module":"Han.Pinyin.Util","type":"function","doc":""},{"ref":"Han.Pinyin.Util.html#get_tone_data/0","title":"Han.Pinyin.Util.get_tone_data/0","module":"Han.Pinyin.Util","type":"function","doc":""},{"ref":"Han.Pinyin.Util.html#max_word_len/0","title":"Han.Pinyin.Util.max_word_len/0","module":"Han.Pinyin.Util","type":"function","doc":""},{"ref":"Han.Pinyin.Util.html#parse/1","title":"Han.Pinyin.Util.parse/1","module":"Han.Pinyin.Util","type":"function","doc":""},{"ref":"Han.Slugify.html","title":"Han.Slugify","module":"Han.Slugify","type":"module","doc":"Read the pinyin tone file and generate functions to normalize the tone."},{"ref":"Han.Slugify.html#process/1","title":"Han.Slugify.process/1","module":"Han.Slugify","type":"function","doc":""},{"ref":"Han.Translate.html","title":"Han.Translate","module":"Han.Translate","type":"module","doc":"Generate a set of translation functions."},{"ref":"Han.Translate.html#do_s2t/1","title":"Han.Translate.do_s2t/1","module":"Han.Translate","type":"function","doc":""},{"ref":"Han.Translate.html#do_t2s/1","title":"Han.Translate.do_t2s/1","module":"Han.Translate","type":"function","doc":""},{"ref":"Han.Translate.Util.html","title":"Han.Translate.Util","module":"Han.Translate.Util","type":"module","doc":"Utility functions to read s2t_conversion.txt file and parse it into a list ordered by the length of the words."},{"ref":"Han.Translate.Util.html#get_trans_data/0","title":"Han.Translate.Util.get_trans_data/0","module":"Han.Translate.Util","type":"function","doc":""},{"ref":"Han.Utils.html","title":"Han.Utils","module":"Han.Utils","type":"module","doc":"Utility functions."},{"ref":"Han.Utils.html#data_path/0","title":"Han.Utils.data_path/0","module":"Han.Utils","type":"function","doc":""},{"ref":"Mix.Tasks.Han.UpdateDatabase.html","title":"Mix.Tasks.Han.UpdateDatabase","module":"Mix.Tasks.Han.UpdateDatabase","type":"task","doc":"Fetch the latest database for Han."},{"ref":"Mix.Tasks.Han.UpdateDatabase.html#run/1","title":"Mix.Tasks.Han.UpdateDatabase.run/1","module":"Mix.Tasks.Han.UpdateDatabase","type":"function","doc":"A task needs to implement run which receives a list of command line args. Callback implementation for Mix.Task.run/1."},{"ref":"Mix.Tasks.Han.UpdateDatabase.html#write_file/1","title":"Mix.Tasks.Han.UpdateDatabase.write_file/1","module":"Mix.Tasks.Han.UpdateDatabase","type":"function","doc":""},{"ref":"readme.html","title":"Han","module":"readme","type":"extras","doc":"Han Utils for processing chinese. This module provides three core functionalities related to chinese: translate: translate between tranditional chinese to simplified chinese based on Wikipedia&#39;s conversion data. pinyin: translate chinese words to pinyin. It is based on the data from janx/ruby-pinyin. slugify: slugify chinese words."},{"ref":"readme.html#installation","title":"Han - Installation","module":"readme","type":"extras","doc":"First, add Han to your mix.exs dependencies: def deps do [{:han, &quot;~&gt; 0.3.0&quot;}] end Then, run $ mix deps.get to get the dependencies. This module will compile over 133, 000 functions by default (compile all the 2-char phrases and 1-char chanracters). Due to this, compilation time is around 30 minutes. So be patient! You can set environment variable MAX_WORD_LEN to tune the compilation: # This will compile around 40, 000 functions $ MAX_WORD_LEN=1 mix compile"},{"ref":"readme.html#update-database","title":"Han - Update database","module":"readme","type":"extras","doc":"This module has a built-in mix task - update database: $ mix han.update_database The downloaded file will be placed into priv/."},{"ref":"readme.html#usage","title":"Han - Usage","module":"readme","type":"extras","doc":"Han is very easy to use, as follows: Translate iex&gt; Han.translate(&quot;中国&quot;) &quot;中國&quot; iex&gt; Han.translate(&quot;中国&quot;, :simplified) &quot;中國&quot; iex&gt; Han.translate(&quot;中國&quot;, :traditional) &quot;中国&quot; Pinyin iex&gt; Han.pinyin(&quot;中国&quot;) &quot;zhōng guó&quot; iex&gt; Han.pinyin(&quot;中国&quot;, :simplified) &quot;zhōng guó&quot; iex&gt; Han.pinyin(&quot;中國&quot;, :traditional) &quot;zhōng guó&quot; Slugify iex&gt; Han.slugify(&quot;中国&quot;) &quot;zhong-guo&quot; iex&gt; Han.slugify(&quot;中國&quot;, :traditional) &quot;zhong-guo&quot; iex&gt; Han.slugify(&quot; *&amp; 46 848 中 ----- 国&quot;) &quot;46-848-zhong-guo&quot; iex&gt; Han.slugify(&quot;关于 Elixir 的 HTML5 页面&quot;) &quot;guan-yu-elixir-de-html5-ye-mian&quot;"},{"ref":"readme.html#performance","title":"Han - Performance","module":"readme","type":"extras","doc":"Operating System: macOS CPU Information: Intel(R) Core(TM) i7-8750H CPU @ 2.20GHz Number of Available Cores: 12 Available memory: 16 GB Elixir 1.8.1 Erlang 21.3.3 Benchmark suite executing with the following configuration: warmup: 2 s time: 5 s memory time: 0 ns parallel: 1 inputs: none specified Estimated total run time: 56 s Name ips average deviation median 99th % translate a simplified chinese character 3242.74 K 0.31 μs ±8355.96% 0 μs 1 μs translate a traditional chinese character 3062.79 K 0.33 μs ±11885.74% 0 μs 1 μs pinyin a sentence in simplified chinese 82.29 K 12.15 μs ±58.57% 12 μs 22 μs translate a sentence in simplified chinese 77.82 K 12.85 μs ±38.33% 12 μs 29 μs translate a sentence in traditional chinese 77.69 K 12.87 μs ±51.61% 13 μs 18 μs pinyin a sentence in traditional chinese 36.19 K 27.63 μs ±14.74% 27 μs 36 μs slugify a sentence in simplified chinese 5.59 K 178.85 μs ±9.50% 176 μs 256 μs slugify a sentence in traditional chinese 5.09 K 196.59 μs ±6.97% 193 μs 272 μs"},{"ref":"readme.html#license","title":"Han - License","module":"readme","type":"extras","doc":"MIT"}]